/*
 *****************************************************
 *
 *  SaVi by Robert Thurman (thurman@geom.umn.edu) and
 *          Patrick Worfolk (worfolk@alum.mit.edu).
 *
 *  Copyright (c) 1997 by The Geometry Center.
 *  This file is part of SaVi.  SaVi is free software;
 *  you can redistribute it and/or modify it only under
 *  the terms given in the file COPYRIGHT which you should
 *  have received along with this file.  SaVi may be
 *  obtained by emailing savi@geom.umn.edu.
 *
 *****************************************************
 * 
 * axes.c
 *
 */
#include <stdlib.h>
#include "gv_utils.h"
#include "constants.h"
#include "globals.h"

static int axes_geom_exists = FALSE;

/*
 * axes_on_cmd
 *
 * Display axes in geomview
 */
char *
axes_on_cmd(int argc, char *argv[])
{
  if (TRUE == axes_geom_exists) return EMPTY_str;
  axes_geom_exists = TRUE;

  gv_begin();
  gv_create_geomh("Axes", "axes_h");
  gv_end();
  return EMPTY_str;
}

/*
 * axes_off_cmd
 *
 * Deletes axes in Geomview
 */
char *
axes_off_cmd(int argc, char *argv[])
{
  if (FALSE == axes_geom_exists) return EMPTY_str;
  axes_geom_exists = FALSE;

  gv_begin();
  gv_delete_geom("Axes");
  gv_end();
  return EMPTY_str;
}

