/*
 *****************************************************
 *
 *  SaVi by Robert Thurman (thurman@geom.umn.edu) and
 *          Patrick Worfolk (worfolk@alum.mit.edu).
 *
 *  Copyright (c) 1997 by The Geometry Center.
 *  This file is part of SaVi.  SaVi is free software;
 *  you can redistribute it and/or modify it only under
 *  the terms given in the file COPYRIGHT which you should
 *  have received along with this file.  SaVi may be
 *  obtained by emailing savi@geom.umn.edu.
 *
 *****************************************************
 *  
 * globals.c
 *
 * declaration and initialization of global variables
 */

#include "constants.h"
#include "globals.h"

/* Is program running as a Geomview module? */
int geomview_module = FALSE;

/* empty string */
char EMPTY_str[] = "";

/* default values for panels and initial motion */
int motion = FALSE;
int reset = FALSE;
double direction = 1.0;
int single_step = FALSE;
double delta_t = 60.0;
double coverage_angle = COVERAGE_ANGLE;
double tracks_interval = TRACKS_INTERVAL; /* in hours */
unsigned int transforms_needed = 0;

/* global consts - to link to tcl vars */
int Image_Width = IMAGE_WIDTH;
int Image_Height = IMAGE_HEIGHT;

