/*
 *****************************************************
 *
 *  SaVi by Robert Thurman (thurman@geom.umn.edu) and
 *          Patrick Worfolk (worfolk@alum.mit.edu).
 *
 *  Copyright (c) 1997 by The Geometry Center.
 *  This file is part of SaVi.  SaVi is free software;
 *  you can redistribute it and/or modify it only under
 *  the terms given in the file COPYRIGHT which you should
 *  have received along with this file.  SaVi may be
 *  obtained by emailing savi@geom.umn.edu.
 *
 *****************************************************
 *  
 * gv_satellite.h
 *
 * Declaration of routines for using gv to display satellites.
 *
 */

#ifndef _GV_SATELLITE_H_
#define _GV_SATELLITE_H_

#include "Satellite.h"

void satellite_gv_create(Satellite, CentralBody *pcb);
void satellite_gv_place(Satellite);
void satellite_gv_delete(Satellite);
void satellite_list_gv_create(Satellite_list, CentralBody *pcb);
void satellite_list_gv_place(Satellite_list);
void satellite_list_gv_delete(Satellite_list);

int gv_init(void);
#endif /* !_SATELLITE_H_ */
