#
######################################################
#
#  SaVi by Robert Thurman (thurman@geom.umn.edu) and
#          Patrick Worfolk (worfolk@alum.mit.edu).
#
#  Copyright (c) 1997 by The Geometry Center.
#  This file is part of SaVi.  SaVi is free software;
#  you can redistribute it and/or modify it only under
#  the terms given in the file COPYRIGHT which you should
#  have received along with this file.  SaVi may be
#  obtained by emailing savi@geom.umn.edu.
#
######################################################
#  
# about.tcl
#

proc about(build) {} {
    if [winfo exists .about] {
	wm deiconify .about
	raise .about
	return
    }

    set name [build_Toplevel about]

    build_Title $name "About this software"

    build_DismissButtonbar $name dbbar about(dismiss)

    set cmd [build_CmdFrame $name cmd]

    build_Label $cmd l0 "SaVi"
    $cmd.l0.label configure -font *-times-medium-i-normal--*-240-*-*-*-*-*-* \
	-fg red
    build_Label $cmd l1 "Satellite Constellation Simulation and Visualization"
    $cmd.l1.label configure -font *-times-medium-i-normal--*-140-*-*-*-*-*-* \
	-fg blue
    pack $cmd.l0 $cmd.l1 -anchor n -ipadx 15m -ipady 2m

    build_Label $cmd l2 "Created by Robert Thurman (thurman@geom.umn.edu)
and Patrick Worfolk (worfolk@alum.mit.edu).

Copyright (c) 1995-1997 by The Geometry Center
SaVi is free software; you can redistribute it and/or
modify it only under the terms given in the file
COPYRIGHT which you should have received along with
this software.  SaVi may be obtained by emailing:

savi@geom.umn.edu

The Geometry Center, University of Minnesota
http://www.geom.umn.edu/locate/savi

[satellites VERSION]
"

    pack $cmd.l2 -anchor n -ipadx 15m -ipady 2m

    pack $cmd -expand 1 -fill both
}

proc about(dismiss) {} {
    destroy .about
}
