#
######################################################
#
#  SaVi by Robert Thurman (thurman@geom.umn.edu) and
#          Patrick Worfolk (worfolk@alum.mit.edu).
#
#  Copyright (c) 1997 by The Geometry Center.
#  This file is part of SaVi.  SaVi is free software;
#  you can redistribute it and/or modify it only under
#  the terms given in the file COPYRIGHT which you should
#  have received along with this file.  SaVi may be
#  obtained by emailing savi@geom.umn.edu.
#
######################################################
#  
# load.tcl
#

proc load(build) {} {

    set name [build_Toplevel load]

    build_Title $name "Load tcl file"

    set cmd [build_CmdFrame $name cmd]

    build_Filename $cmd fn Load(filename) Load(directory)

    pack $cmd -fill x

    build_DismissButtonbar $name dbbar load(dismiss) \
	{"Load" load(go)} {"Delete and Load" load(delete_go)}
}

proc load(dismiss) {} {
    destroy .load
}

proc load(go) {} {
    global Load

    # if filename ends in ".tle" then interpret as a two line element file
    satellites GV_SEND "(ui-freeze on)"
    if {[regexp {\.\t\l\e$} $Load(filename)]} {
	# tle file
	tle_file_input $Load(directory)/$Load(filename)
    } {
	# interpret as a tcl file
	source $Load(directory)/$Load(filename)
    }
    satellites GV_SEND "(ui-freeze off)"
    main(update)
    coverage(update)
    fisheye(update)
}

proc load(delete_go) {} {
    satellites DELETE_ALL
    load(go)
}



